function alphaLoad()
{
  var builder = document.getElementById("@mozdev.org/urlnav/builder;1?type=alpha").component;
  var min = document.getElementById("alphaMinText");
  var max = document.getElementById("alphaMaxText");
  var step = document.getElementById("alphaStepText");
  
  min.setAttribute("value", String(builder.properties.getProperty("min")));
  max.setAttribute("value", String(builder.properties.getProperty("max")));
  step.setAttribute("value", String(builder.properties.getProperty("step")));
};

function alphaAccept()
{
  //only test if we are the builder
  var contract = gCapture.list.selectedItem.getAttribute("id");
  if (contract != "@mozdev.org/urlnav/builder;1?type=alpha")
    return true;   
  
  //get prompt service   
  var sbs = Components.classes["@mozilla.org/intl/stringbundle;1"].getService(Components.interfaces.nsIStringBundleService);    
  var bundle = sbs.createBundle("chrome://urlnav/locale/urlnav.properties");
  var ps = Components.classes["@mozilla.org/embedcomp/prompt-service;1"].getService(Components.interfaces.nsIPromptService);         
  
  //test values
  var min = document.getElementById("alphaMinText").value.replace(/^\s*|\s*$/g,"").toLowerCase();
  var max = document.getElementById("alphaMaxText").value.replace(/^\s*|\s*$/g,"").toLowerCase();
  var step = document.getElementById("alphaStepText").value.replace(/^\s*|\s*$/g,"");
  step = Number(step);
  
  if (min.length > 1) {
    ps.alert(window, bundle.GetStringFromName("urlnav.error.title"), bundle.GetStringFromName("urlnav.builder.alpha.min"));
    return false;
  };
  if (min.charCodeAt(0) < 97 || min.charCodeAt(0) > 122) {
    ps.alert(window, bundle.GetStringFromName("urlnav.error.title"), bundle.GetStringFromName("urlnav.builder.alpha.min.char"));
    return false;  
  }; 
  if (max.length > 1) {
    ps.alert(window, bundle.GetStringFromName("urlnav.error.title"), bundle.GetStringFromName("urlnav.builder.alpha.max"));
    return false;
  }; 
  if (max.charCodeAt(0) < 97 || max.charCodeAt(0) > 122) {
    ps.alert(window, bundle.GetStringFromName("urlnav.error.title"), bundle.GetStringFromName("urlnav.builder.alpha.max.char"));
    return false;  
  };  
  if (isNaN(step)) {
    ps.alert(window, bundle.GetStringFromName("urlnav.error.title"), bundle.GetStringFromName("urlnav.builder.alpha.step"));
    return false;
  };
      
  //update builder
  var builder = gCapture.list.selectedItem.component; 
  builder.properties.setProperty("min", min);
  builder.properties.setProperty("max", max);
  builder.properties.setProperty("step", step);
  return true;
};

gCapture.registerCallback("load", alphaLoad);
gCapture.registerCallback("accept", alphaAccept);